OpenVDB 7.0.0

Public Member Functions | List of all members
MaskDisorientedTrianglePoints< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Member Functions
| MaskDisorientedTrianglePoints (const InputTreeType &inputTree, const PolygonPoolList &polygons, const PointList &pointList, std::unique_ptr< uint8_t[]> &pointMask, const math::Transform &transform, bool invertSurfaceOrientation)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Constructor & Destructor Documentation

## ◆ MaskDisorientedTrianglePoints()

MaskDisorientedTrianglePoints | ( | const InputTreeType & | inputTree,
|  | const PolygonPoolList & | polygons,
|  | const PointList & | pointList,
|  | std::unique_ptr< uint8_t[]> & | pointMask,
|  | const math::Transform & | transform,
|  | bool | invertSurfaceOrientation
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h